AppStudio for ArcGIS iOS cloud make error ArcGIS.Framework.Controls depricated

1235
20
09-30-2020 09:32 AM
BrentSlone3
New Contributor III

Hi Team,

we have build an using AppStudio for ArcGIS (Desktop) quick reporter template. When we try using cloud build we are getting the following erorr:

Any suggestions would be helpful

Tags (1)
0 Kudos
20 Replies
ErwinSoekianto
Esri Regular Contributor

Brent, 

Which version of the Quick Report template are you using? 

import ArcGIS.AppFramework.Controls 1.0

It is being deprecated, I found one occurrence on QuickReport/widgets/Icon.qml line 8, that does not seem to affect anything after removing it. You can remove that import statement. AppStudio Framework—ArcGIS AppStudio | Documentation 

Also if you are using the Quick Report template that is older than 4.3, there is a breaking change on EmailComposer, you need to change the "onComposeError" with "onErrorChanged". EmailComposer was in Beta, and now it is released with a better error handling patterns. They are QuickReport/pages/LandingPage.qml

 

Apps that previously used the EmailComposer onComposeError signal will have to be rebuilt using the new onErrorChanged signal. Without this change, the app will fail to launch.

 

What's new in AppStudio—ArcGIS AppStudio | Documentation 

 

I hope this is helpful,

Erwin. 

0 Kudos
BrentSlone3
New Contributor III

Hi Erwin, we are using QuickReporter 4.3 

We comented the code in widget/Icon.qml

@

It failed without error: 

0 Kudos
ErwinSoekianto
Esri Regular Contributor

Brent, 

So that means there is a different error on the Quick Report app that you have because the previous error message was supposed to be a warning of deprecation. 

Did you make any other customization? Did you check the EmailComposer breaking change? 

Erwin 

0 Kudos
ErwinSoekianto
Esri Regular Contributor

Brent, there seems to be an issue with our Cloud Make build system on iOS right now, we are looking at it. I will be in touch. 

0 Kudos
ErwinSoekianto
Esri Regular Contributor

Brent Slone‌ we have fixed the issue with the Cloud Make build system, all platforms should be working now. Let me know if you have any issues. 

0 Kudos
BrentSlone3
New Contributor III

Thanks informing Erwin Cloud make now is working fine. 

0 Kudos
RyanGay2
New Contributor III

I also just got this very same message creating an app for iOS using the Map Viewer Template. I used version 4.3.

0 Kudos
ErwinSoekianto
Esri Regular Contributor

Yes, we are working on getting this patch quickly on all templates, but please help us remove it. (Don't forget to re-upload your app again before making Cloud Make build.)

RyanGay2
New Contributor III

Erwin thank you. In the mean time, what changes do I need to make in order for the app to build on the iOS side?

0 Kudos